<?php
/*
CRIADO POR: K88
DATA ULTIMA ALTERAÇÃO: 17/03/2017 15:41
OBS.: ATUALIZAÇÃO DE ESTRUTURA E REVISÃO
*/

include("../../configuracao.php");//confirma no banco de dados
include("../../inclusos/funcoes.php");
include("../../seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página	
	
	//recebe os parâmetros
		
	$idorcamento_compras = $_REQUEST['idorcamento_compras'];
	$idobra = $_REQUEST['idobra'];
	$idfornecedor = $_REQUEST['idfornecedor'];
	$idservicoobra = $_REQUEST['idservicoobra'];
	$idplanilha_compras = $_REQUEST['idplanilha_compras'];
	$titulo = $_REQUEST['titulo'];	
	$quantidade = $_REQUEST['quantidade'];	
	$idorcamento_compras_servicos = $_REQUEST['idorcamento_compras_servicos'];	
	$idorcamento_compras_produtos = $_REQUEST['idorcamento_compras_produtos'];	
	$valor_unitario = str_replace($_REQUEST['valor_unitario'], ",",".");	
	$idusuario = $_REQUEST['idusuario'];
	$idproduto = $_REQUEST['idproduto'];
	$idservico = $_REQUEST['idusuario'];	
    $idfilial = $_REQUEST['idfilial'];
	
	$valor_total = $_REQUEST['valor_unitario']*$_REQUEST['quantidade'];	
	$status = "Pendente";				
	$datacadastro = date("Y-m-d H:i:s");

    try
    {

$campos_tabela = "idorcamento_compras, idobra, idfornecedor, idservicoobra, idservicoobra, idplanilha_compras, titulo, quantidade, idorcamento_compras_servicos, idorcamento_compras_produtos, valor_unitario, valor_total, status, idusuario, datacadastro, idfilial";
$campos_value = "'$idorcamento_compras', '$idobra', '$idfornecedor', '$idservicoobra', '$idservicoobra', '$idplanilha_compras', '$titulo', '$quantidade', '$idorcamento_compras_servicos', '$idorcamento_compras_produtos', '$valor_unitario', '$valor_total', '$status', '$idusuario', '$datacadastro', '$idfilial";

$salvar = Salvar("compras_orcamentos_fornecedores_valores",  $campos_tabela, $campos_value);
		
        //retorna 1 para no sucesso do ajax saber que foi com inserido sucesso
        echo "1";
    } 
    catch (Exception $ex)
    {
        //retorna 0 para no sucesso do ajax saber que foi um erro
        echo "0";
    }
?>